Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalRequest

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalRequest

The PortalRequest is synonymous with the HttpServletRequest it only lives the life of the http request. The PortalRequest has references to the PortalContext, Portal, PortalState, HttpServletRequest and PortalAppflowEvent.

Field Summary
`static String` | `KEY` Deprecated. The HttpServletRequest parameter key to which the PortalRequest is stored.

Method Summary
`Portal` | `getPortal()` Deprecated. Retrieve an instance of the Portal definition.
`PortalAppflowEvent` | `getPortalAppflowEvent()` Deprecated. Retrieve the last appflow event.
`PortalContext` | `getPortalContext()` Deprecated. Retrieve an instance of the portalContext.
`PortalSession` | `getPortalSession()` Deprecated. Creates a PortalSession.
`PortalState` | `getPortalState()` Deprecated. Retrieve an instance of the PortalState.
`HttpServletRequest` | `getServletRequest()` Deprecated. Return a reference the the HttpServletRequest.

Field Detail

### KEY

    public static final String KEY

  Deprecated.
  The HttpServletRequest parameter key to which the PortalRequest is stored.

  See Also:
    Constant Field Values

Method Detail

### getPortal

    public Portal getPortal()

  Deprecated.
  Retrieve an instance of the Portal definition.

  See Also:
    `Portal`

### getPortalAppflowEvent

    public PortalAppflowEvent getPortalAppflowEvent()

  Deprecated.
  Retrieve the last appflow event.

  See Also:
    `PortalAppflowEvent`

### getPortalContext

    public PortalContext getPortalContext()

  Deprecated.
  Retrieve an instance of the portalContext.

### getPortalSession

    public PortalSession getPortalSession()

  Deprecated.
  Creates a PortalSession. If one already exist in the HttpSession then that will be returned, otherwise a new one will be created. This method just delegates to PortalAppflowFactory.createPortalSession(request).

  See Also:
    `PortalAppflowFactory.createPortalSession(HttpServletRequest)`

### getPortalState

    public PortalState getPortalState()

  Deprecated.
  Retrieve an instance of the PortalState. The Portal state differs from the Portal object in that all the personalization and entitlements have been applied. The Portal object just represents the portal definition in the .portal xml file.

  See Also:
    `Portal`

### getServletRequest

    public HttpServletRequest getServletRequest()

  Deprecated.
  Return a reference the the HttpServletRequest.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved